## golang-go.dedis-kyber 3.0.13

=== Makefile ===
.DEFAULT_GOAL := test

Coding/bin/Makefile.base:
	git clone https://github.com/dedis/Coding
include Coding/bin/Makefile.base

=== debian/changelog ===
golang-go.dedis-kyber (3.0.13-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:23:39 +0200

golang-go.dedis-kyber (3.0.13-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 30 Oct 2020 14:39:18 +0100

=== debian/control ===
Source: golang-go.dedis-kyber
Section: devel
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev,
		       golang-go.dedis-fixbuf-dev,
		       golang-go.dedis-protobuf-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sys-dev
Standards-Version: 4.5.0
Homepage: https://github.com/dedis/kyber
Rules-Requires-Root: no
XS-Go-Import-Path: go.dedis.ch/kyber
Testsuite: autopkgtest-pkg-go

Package: golang-go.dedis-kyber-dev
Architecture: all
Depends: golang-github-stretchr-testify-dev,
	 golang-go.dedis-fixbuf-dev,
	 golang-go.dedis-protobuf-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-sys-dev,
         ${misc:Depends}
Description: Advanced crypto library for the Go language (library)
 This package provides a toolbox of advanced cryptographic
 primitives for Go, targeting applications like Cothority
 (https://go.dedis.ch/cothority) that need more than straightforward
 signing and encryption.

## golang-go.dedis-kyber 3.1.0

=== Makefile ===
tidy:
	#go install honnef.co/go/tools/cmd/staticcheck@latest
	go mod tidy

generate: tidy
	go generate ./...

# Coding style static check.
lint: tidy
	@echo "Please setup a linter!"
	#golangci-lint run
	#staticcheck go list ./...


vet: tidy
	go vet ./...

test: tidy
	go test ./...

coverage: tidy
	go test -json -covermode=count -coverprofile=profile.cov ./... > report.json

# target to run all the possible checks; it's a good habit to run it before
# pushing code
check: lint vet test
	echo "check done"

=== debian/changelog ===
golang-go.dedis-kyber (3.1.0-0kali2) kali-dev; urgency=medium

  * New upstream version 3.1.0
  * Update changelog for 3.1.0-0kali1 release
  * d/control: Change section to golang
  * Update standards version to 4.6.2, no changes needed.
  * d/rules: Override dh_auto_test

 -- Steev Klimaszewski <steev@kali.org>  Mon, 11 Dec 2023 17:03:22 -0600

golang-go.dedis-kyber (3.1.0-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Consistency with tabs to spaces

  [ Steev Klimaszewski ]
  * New upstream version 3.1.0

 -- Steev Klimaszewski <steev@kali.org>  Mon, 16 Oct 2023 10:49:53 -0500

=== debian/control ===
Source: golang-go.dedis-kyber
Section: golang
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev,
               golang-go.dedis-fixbuf-dev,
               golang-go.dedis-protobuf-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sys-dev
Standards-Version: 4.6.2
Vcs-Browser: https://gitlab.com/kalilinux/packages/golang-go.dedis-kyber
Vcs-Git: https://gitlab.com/kalilinux/packages/golang-go.dedis-kyber.git
Homepage: https://github.com/dedis/kyber
Rules-Requires-Root: no
XS-Go-Import-Path: go.dedis.ch/kyber
Testsuite: autopkgtest-pkg-go

Package: golang-go.dedis-kyber-dev
Architecture: all
Depends: golang-github-stretchr-testify-dev,
         golang-go.dedis-fixbuf-dev,
         golang-go.dedis-protobuf-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-sys-dev,
         ${misc:Depends}
Description: Advanced crypto library for the Go language (library)
 This package provides a toolbox of advanced cryptographic
 primitives for Go, targeting applications like Cothority
 (https://go.dedis.ch/cothority) that need more than straightforward
 signing and encryption.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
	# Tests fail on 32bit architectures.  The only dependency (Merlin) does
	# not actually use those functions so this is okay to skip until
	# upstream releases a new major version as the change will be an ABI
	# break.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-go.dedis-kyber-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/dedis/kyber/tags .*/v?(\d\S*)\.tar\.gz debian
